/**
 * 
 */
package com.example.layouttest.presenter;

import com.example.layouttest.event.ShowCityBuilderEvent;
import com.example.layouttest.view.TourDetailsEditorView;
import com.example.layouttest.view.TourDetailsEditorViewImpl;
import com.vaadin.event.EventRouter;
import com.vaadin.ui.Panel;

@SuppressWarnings("serial")
public class TourDetailsEditorPresenter 
    extends AbstractPresenter<TourDetailsEditorView, TourDetailsEditorView.Presenter>
    implements Presenter, TourDetailsEditorView.Presenter {
    
    private EventRouter eventBus;
    
    public TourDetailsEditorPresenter(EventRouter eventBus) {
		super();
		this.eventBus = eventBus;
	}

	@Override
    protected TourDetailsEditorView createView() {
        return new TourDetailsEditorViewImpl();
    }
    
    /* (non-Javadoc)
     * @see com.galiasys.vaadin.mvp.presenter.Presenter#go(com.vaadin.ui.Panel)
     */
    @Override
    public void go(Panel panel) {
        panel.setContent(getView().asLayout());
    }

    @Override
    public void onBackToTourClicked() {
        eventBus.fireEvent(new ShowCityBuilderEvent("TOUR"));
    }

    @Override
    public void onBackToCityClicked() {
        eventBus.fireEvent(new ShowCityBuilderEvent("CITY"));
    }
}
