package com.example.layouttest.view;

import com.vaadin.ui.Label;
import com.vaadin.ui.Layout;
import com.vaadin.ui.Panel;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.themes.Reindeer;

public class AppViewImpl extends VerticalLayout implements AppView {

    private static final long serialVersionUID = 1L;

    private Presenter presenter;
    private Panel mainPanel;
    
    public AppViewImpl() {
        setDebugId("AppView");
        setStyleName("appView");
        addComponent(new Label("AppView"));
        // Main pane
        mainPanel = new Panel();
        mainPanel.setDebugId("MainPanel");
        mainPanel.setHeight("100%");
        mainPanel.setStyleName(Reindeer.PANEL_LIGHT);
        mainPanel.addStyleName("mainPanel");
        addComponent(mainPanel);
        setExpandRatio(mainPanel, 1.0f);
    }
    
    @Override
    public Panel getMainPanel() {
        return mainPanel;
    }

    @Override
    public void setPresenter(Presenter presenter) {
        this.presenter = presenter;
    }

    @Override
    public Layout asLayout() {
        return this;
    }
}
